package tech.nevets.osql4j;

public class ClassUtils {

    public static Class<?> forName(String name) throws ClassNotFoundException {
        switch (name) {
            case "int" -> {
                return int.class;
            }
            case "short" -> {
                return short.class;
            }
            case "long" -> {
                return long.class;
            }
            case "float" -> {
                return float.class;
            }
            case "double" -> {
                return double.class;
            }
            case "boolean" -> {
                return boolean.class;
            }
            case "byte" -> {
                return byte.class;
            }
            case "byte[]" -> {
                return byte[].class;
            }
            case "char" -> {
                return char.class;
            }
            default -> {
                return Class.forName(name);
            }
        }
    }
}
