package examplebeans;

import tech.nevets.osql4j.annotations.SQLSerializable;

import java.math.BigDecimal;

@SQLSerializable
public class Cat extends Animal {
    private boolean isFerrel;

    public Cat() {}

    public Cat(String name, int age, String color, BigDecimal weight, boolean isFerrel) {
        super(name, age, color, weight);
        this.isFerrel = isFerrel;
    }

    @Override
    public String toString() {
        return "(Cat: " + getName() + ", " + getAge() + ", " + getColor() + ", " + getWeight() + ", " + isFerrel + ")";
    }
}
